/**
 * Copyright (c) 2000-2013 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package it.tref.liferay.mapit.map.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

import java.util.Date;

/**
 * The base model interface for the Plugin service. Represents a row in the &quot;MI_Map_Plugin&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link it.tref.liferay.mapit.map.model.impl.PluginModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link it.tref.liferay.mapit.map.model.impl.PluginImpl}.
 * </p>
 *
 * @author
 * @see Plugin
 * @see it.tref.liferay.mapit.map.model.impl.PluginImpl
 * @see it.tref.liferay.mapit.map.model.impl.PluginModelImpl
 * @generated
 */
public interface PluginModel extends BaseModel<Plugin> {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify or reference this interface directly. All methods that expect a plugin model instance should use the {@link Plugin} interface instead.
	 */

	/**
	 * Returns the primary key of this plugin.
	 *
	 * @return the primary key of this plugin
	 */
	public long getPrimaryKey();

	/**
	 * Sets the primary key of this plugin.
	 *
	 * @param primaryKey the primary key of this plugin
	 */
	public void setPrimaryKey(long primaryKey);

	/**
	 * Returns the plugin ID of this plugin.
	 *
	 * @return the plugin ID of this plugin
	 */
	public long getPluginId();

	/**
	 * Sets the plugin ID of this plugin.
	 *
	 * @param pluginId the plugin ID of this plugin
	 */
	public void setPluginId(long pluginId);

	/**
	 * Returns the create date of this plugin.
	 *
	 * @return the create date of this plugin
	 */
	public Date getCreateDate();

	/**
	 * Sets the create date of this plugin.
	 *
	 * @param createDate the create date of this plugin
	 */
	public void setCreateDate(Date createDate);

	/**
	 * Returns the modified date of this plugin.
	 *
	 * @return the modified date of this plugin
	 */
	public Date getModifiedDate();

	/**
	 * Sets the modified date of this plugin.
	 *
	 * @param modifiedDate the modified date of this plugin
	 */
	public void setModifiedDate(Date modifiedDate);

	/**
	 * Returns the name of this plugin.
	 *
	 * @return the name of this plugin
	 */
	@AutoEscape
	public String getName();

	/**
	 * Sets the name of this plugin.
	 *
	 * @param name the name of this plugin
	 */
	public void setName(String name);

	/**
	 * Returns the version of this plugin.
	 *
	 * @return the version of this plugin
	 */
	@AutoEscape
	public String getVersion();

	/**
	 * Sets the version of this plugin.
	 *
	 * @param version the version of this plugin
	 */
	public void setVersion(String version);

	/**
	 * Returns the map it version of this plugin.
	 *
	 * @return the map it version of this plugin
	 */
	@AutoEscape
	public String getMapItVersion();

	/**
	 * Sets the map it version of this plugin.
	 *
	 * @param mapItVersion the map it version of this plugin
	 */
	public void setMapItVersion(String mapItVersion);

	/**
	 * Returns the context of this plugin.
	 *
	 * @return the context of this plugin
	 */
	@AutoEscape
	public String getContext();

	/**
	 * Sets the context of this plugin.
	 *
	 * @param context the context of this plugin
	 */
	public void setContext(String context);

	/**
	 * Returns the active of this plugin.
	 *
	 * @return the active of this plugin
	 */
	public boolean getActive();

	/**
	 * Returns <code>true</code> if this plugin is active.
	 *
	 * @return <code>true</code> if this plugin is active; <code>false</code> otherwise
	 */
	public boolean isActive();

	/**
	 * Sets whether this plugin is active.
	 *
	 * @param active the active of this plugin
	 */
	public void setActive(boolean active);

	@Override
	public boolean isNew();

	@Override
	public void setNew(boolean n);

	@Override
	public boolean isCachedModel();

	@Override
	public void setCachedModel(boolean cachedModel);

	@Override
	public boolean isEscapedModel();

	@Override
	public Serializable getPrimaryKeyObj();

	@Override
	public void setPrimaryKeyObj(Serializable primaryKeyObj);

	@Override
	public ExpandoBridge getExpandoBridge();

	@Override
	public void setExpandoBridgeAttributes(BaseModel<?> baseModel);

	@Override
	public void setExpandoBridgeAttributes(ExpandoBridge expandoBridge);

	@Override
	public void setExpandoBridgeAttributes(ServiceContext serviceContext);

	@Override
	public Object clone();

	@Override
	public int compareTo(Plugin plugin);

	@Override
	public int hashCode();

	@Override
	public CacheModel<Plugin> toCacheModel();

	@Override
	public Plugin toEscapedModel();

	@Override
	public Plugin toUnescapedModel();

	@Override
	public String toString();

	@Override
	public String toXmlString();
}