/**
 * Copyright (c) 2000-2013 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package it.tref.liferay.mapit.map.model;

import java.io.Serializable;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * This class is used by SOAP remote services.
 *
 * @author
 * @generated
 */
public class PluginSoap implements Serializable {
	public static PluginSoap toSoapModel(Plugin model) {
		PluginSoap soapModel = new PluginSoap();

		soapModel.setPluginId(model.getPluginId());
		soapModel.setCreateDate(model.getCreateDate());
		soapModel.setModifiedDate(model.getModifiedDate());
		soapModel.setName(model.getName());
		soapModel.setVersion(model.getVersion());
		soapModel.setMapItVersion(model.getMapItVersion());
		soapModel.setContext(model.getContext());
		soapModel.setActive(model.getActive());

		return soapModel;
	}

	public static PluginSoap[] toSoapModels(Plugin[] models) {
		PluginSoap[] soapModels = new PluginSoap[models.length];

		for (int i = 0; i < models.length; i++) {
			soapModels[i] = toSoapModel(models[i]);
		}

		return soapModels;
	}

	public static PluginSoap[][] toSoapModels(Plugin[][] models) {
		PluginSoap[][] soapModels = null;

		if (models.length > 0) {
			soapModels = new PluginSoap[models.length][models[0].length];
		}
		else {
			soapModels = new PluginSoap[0][0];
		}

		for (int i = 0; i < models.length; i++) {
			soapModels[i] = toSoapModels(models[i]);
		}

		return soapModels;
	}

	public static PluginSoap[] toSoapModels(List<Plugin> models) {
		List<PluginSoap> soapModels = new ArrayList<PluginSoap>(models.size());

		for (Plugin model : models) {
			soapModels.add(toSoapModel(model));
		}

		return soapModels.toArray(new PluginSoap[soapModels.size()]);
	}

	public PluginSoap() {
	}

	public long getPrimaryKey() {
		return _pluginId;
	}

	public void setPrimaryKey(long pk) {
		setPluginId(pk);
	}

	public long getPluginId() {
		return _pluginId;
	}

	public void setPluginId(long pluginId) {
		_pluginId = pluginId;
	}

	public Date getCreateDate() {
		return _createDate;
	}

	public void setCreateDate(Date createDate) {
		_createDate = createDate;
	}

	public Date getModifiedDate() {
		return _modifiedDate;
	}

	public void setModifiedDate(Date modifiedDate) {
		_modifiedDate = modifiedDate;
	}

	public String getName() {
		return _name;
	}

	public void setName(String name) {
		_name = name;
	}

	public String getVersion() {
		return _version;
	}

	public void setVersion(String version) {
		_version = version;
	}

	public String getMapItVersion() {
		return _mapItVersion;
	}

	public void setMapItVersion(String mapItVersion) {
		_mapItVersion = mapItVersion;
	}

	public String getContext() {
		return _context;
	}

	public void setContext(String context) {
		_context = context;
	}

	public boolean getActive() {
		return _active;
	}

	public boolean isActive() {
		return _active;
	}

	public void setActive(boolean active) {
		_active = active;
	}

	private long _pluginId;
	private Date _createDate;
	private Date _modifiedDate;
	private String _name;
	private String _version;
	private String _mapItVersion;
	private String _context;
	private boolean _active;
}